@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  source-formatter startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and SOURCE_FORMATTER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\com.liferay.source.formatter-1.0.526.jar;%APP_HOME%\lib\diffutils-1.3.0.jar;%APP_HOME%\lib\checkstyle-8.3.jar;%APP_HOME%\lib\qdox-2.0-M5.jar;%APP_HOME%\lib\commons-io-2.1.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\jaxen-1.1.1.jar;%APP_HOME%\lib\junit-4.12.jar;%APP_HOME%\lib\ant-1.9.4.jar;%APP_HOME%\lib\maven-artifact-3.3.9.jar;%APP_HOME%\lib\xercesImpl-2.11.0.jar;%APP_HOME%\lib\biz.aQute.bndlib-3.1.0.jar;%APP_HOME%\lib\com.liferay.petra.content-1.0.0.jar;%APP_HOME%\lib\com.liferay.petra.string-1.0.0.jar;%APP_HOME%\lib\com.liferay.petra.xml-1.0.0.jar;%APP_HOME%\lib\com.liferay.portal.impl-2.25.4-SNAPSHOT.jar;%APP_HOME%\lib\com.liferay.portal.kernel-2.49.0.jar;%APP_HOME%\lib\com.liferay.util.java-2.5.0.jar;%APP_HOME%\lib\maven-plugin-api-3.0.4.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\antlr4-runtime-4.7.jar;%APP_HOME%\lib\commons-beanutils-1.9.3.jar;%APP_HOME%\lib\commons-cli-1.4.jar;%APP_HOME%\lib\guava-23.0.jar;%APP_HOME%\lib\Saxon-HE-9.8.0-4.jar;%APP_HOME%\lib\jdom-1.0.jar;%APP_HOME%\lib\xom-1.0.jar;%APP_HOME%\lib\hamcrest-core-1.3.jar;%APP_HOME%\lib\ant-launcher-1.9.4.jar;%APP_HOME%\lib\plexus-utils-3.0.22.jar;%APP_HOME%\lib\commons-lang3-3.4.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\jsr305-1.3.9.jar;%APP_HOME%\lib\error_prone_annotations-2.0.18.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.14.jar;%APP_HOME%\lib\xmlParserAPIs-2.6.2.jar;%APP_HOME%\lib\xalan-2.6.0.jar;%APP_HOME%\lib\icu4j-2.6.1.jar

@rem Execute source-formatter
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %SOURCE_FORMATTER_OPTS%  -classpath "%CLASSPATH%" com.liferay.source.formatter.SourceFormatter %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable SOURCE_FORMATTER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%SOURCE_FORMATTER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
